#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           okteta
Epoch:          2
Version: 0.26.4
Release:        %mkrel %{rel}
Summary:        Editor for raw file data as Hex values
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(qca2-qt5)
Requires:       qca-qt5

%description
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files -f %name.lang
%_kf5_bindir/struct2osd
%_kf5_bindir/okteta
%_kf5_applicationsdir/*.desktop
%_kf5_metainfodir/*.xml
%_kf5_datadir/okteta/
%_kf5_services/oktetapart.desktop
%_kf5_datadir/config.kcfg/structureviewpreferences.kcfg
%_kf5_iconsdir/*/*/apps/okteta.png
%_kf5_datadir/mime/packages/okteta.xml
%_kf5_datadir/knsrcfiles/okteta-structures.knsrc
%_kf5_plugindir/parts/oktetapart.so
%_qt5_plugindir/designer/oktetawidgets.so

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%name

#------------------------------------------------------------------------------

%define okteta3core_major 0
%define libokteta3core %mklibname okteta3core %{okteta3core_major}

%package -n %libokteta3core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libokteta3core
Runtime library for okteta.

%files -n %libokteta3core
%_kf5_libdir/libOkteta3Core.so.%{okteta3core_major}{,.*}

#------------------------------------------------------------------------------

%define okteta3gui_major 0
%define libokteta3gui %mklibname okteta3gui %{okteta3gui_major}

%package -n %libokteta3gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libokteta3gui
Runtime library for okteta.

%files -n %libokteta3gui
%_kf5_libdir/libOkteta3Gui.so.%{okteta3gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2gui_major 0
%define libkasten4okteta2gui %mklibname kasten4okteta2gui %{kasten4okteta2gui_major}

%package -n %libkasten4okteta2gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2gui
Runtime library for okteta.

%files -n %libkasten4okteta2gui
%_kf5_libdir/libKasten4Okteta2Gui.so.%{kasten4okteta2gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2core_major 0
%define libkasten4okteta2core %mklibname kasten4okteta2core %{kasten4okteta2core_major}

%package -n %libkasten4okteta2core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2core
Runtime library for okteta.

%files -n %libkasten4okteta2core
%_kf5_libdir/libKasten4Okteta2Core.so.%{kasten4okteta2core_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2controllers_major 0
%define libkasten4okteta2controllers %mklibname kasten4okteta2controllers %{kasten4okteta2controllers_major}

%package -n %libkasten4okteta2controllers
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2controllers
Runtime library for okteta.

%files -n %libkasten4okteta2controllers
%_kf5_libdir/libKasten4Okteta2Controllers.so.%{kasten4okteta2controllers_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4gui_major 0
%define libkasten4gui %mklibname kasten4gui %{kasten4gui_major}

%package -n %libkasten4gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4gui
Runtime library for okteta.

%files -n %libkasten4gui
%_kf5_libdir/libKasten4Gui.so.%{kasten4gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4core_major 0
%define libkasten4core %mklibname kasten4core %{kasten4core_major}

%package -n %libkasten4core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4core
Runtime library for okteta.

%files -n %libkasten4core
%_kf5_libdir/libKasten4Core.so.%{kasten4core_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4controllers_major 0
%define libkasten4controllers %mklibname kasten4controllers %{kasten4controllers_major}

%package -n %libkasten4controllers
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4controllers
Runtime library for okteta.

%files -n %libkasten4controllers
%_kf5_libdir/libKasten4Controllers.so.%{kasten4controllers_major}{,.*}

#------------------------------------------------------------------------------

%define okteta_devel %mklibname %{name} -d

%package -n %{okteta_devel}
Summary:        Header files for %{name}
Group:          Development/KDE and Qt
Requires:       %libokteta3core = %epoch:%version
Requires:       %libkasten4okteta2gui = %epoch:%version
Requires:       %libokteta3gui = %epoch:%version
Requires:       %libkasten4okteta2core = %epoch:%version
Requires:       %libkasten4okteta2controllers = %epoch:%version
Requires:       %libkasten4gui = %epoch:%version
Requires:       %libkasten4core = %epoch:%version
Requires:       %libkasten4controllers = %epoch:%version
Provides:       okteta-devel = %epoch:%version-%release
Obsoletes:      okteta-devel < 1:17.12.2-2

%description -n %{okteta_devel}
This package includes the header files you will need to compile applications
against %{name}.

%files -n %{okteta_devel}
%_includedir/*
%_kf5_libdir/libKasten4Okteta2Controllers.so
%_kf5_libdir/libKasten4Core.so
%_kf5_libdir/libKasten4Gui.so
%_kf5_libdir/libKasten4Okteta2Core.so
%_kf5_libdir/libOkteta3Core.so
%_kf5_libdir/libKasten4Controllers.so
%_kf5_libdir/libOkteta3Gui.so
%_kf5_libdir/libKasten4Okteta2Gui.so
%_kf5_libdir/cmake/KastenControllers
%_kf5_libdir/cmake/KastenCore
%_kf5_libdir/cmake/KastenGui
%_kf5_libdir/cmake/OktetaCore
%_kf5_libdir/cmake/OktetaGui
%_kf5_libdir/cmake/OktetaKastenControllers
%_kf5_libdir/cmake/OktetaKastenCore
%_kf5_libdir/cmake/OktetaKastenGui
%_kf5_libdir/pkgconfig/Okteta*.pc
%_kf5_mkspecsdir/qt_Okteta*.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2:0.26.4-2.mga8
+ Revision: 1659150
- Rebuild for new Qt5

* Thu Jul 30 2020 daviddavid <daviddavid> 2:0.26.4-1.mga8
+ Revision: 1609863
- new version: 0.26.4

* Thu May 28 2020 daviddavid <daviddavid> 2:0.26.3-3.mga8
+ Revision: 1588525
- switch appdata file to kf5_metainfo dir

* Thu Feb 20 2020 umeabot <umeabot> 2:0.26.3-2.mga8
+ Revision: 1546503
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 2:0.26.3-1.mga8
+ Revision: 1486571
- new version: 0.26.3
+ wally <wally>
- build with new cmake macros

* Tue Jul 02 2019 daviddavid <daviddavid> 2:0.26.2-1.mga8
+ Revision: 1417538
- new version: 0.26.2

* Thu Apr 11 2019 daviddavid <daviddavid> 2:0.26.1-1.mga7
+ Revision: 1388264
- new version: 0.26.1

* Sun Mar 31 2019 umeabot <umeabot> 2:0.26.0-2.mga7
+ Revision: 1383591
- Qt5 Rebuild

* Tue Mar 12 2019 daviddavid <daviddavid> 2:0.26.0-1.mga7
+ Revision: 1374531
- new version: 0.26.0

* Mon Dec 31 2018 daviddavid <daviddavid> 2:0.25.5-1.mga7
+ Revision: 1347451
- new version: 0.25.5

* Thu Oct 11 2018 daviddavid <daviddavid> 2:0.25.4-1.mga7
+ Revision: 1319574
- new version: 0.25.4

* Mon Sep 03 2018 daviddavid <daviddavid> 2:0.25.3-1.mga7
+ Revision: 1256749
- new version: 0.25.3

* Mon Aug 13 2018 daviddavid <daviddavid> 2:0.25.2-1.mga7
+ Revision: 1251282
- new version: 0.25.2

* Sat Jul 14 2018 daviddavid <daviddavid> 2:0.25.1-1.mga7
+ Revision: 1243562
- new version: 0.25.1

* Sat Jun 16 2018 daviddavid <daviddavid> 2:0.25.0-1.mga7
+ Revision: 1237193
- new version: 0.25.0
- fix devel pkg name
- designer plugin file should be into main pkg

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201979
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1195001
- New version 17.12.1

* Sun Dec 31 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1188363
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143135
- New version 17.08.0

* Sun Aug 06 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1137751
- New version 17.07.90

* Mon Jul 31 2017 pterjan <pterjan> 1:17.04.3-2.mga7
+ Revision: 1133246
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Sun Jul 23 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1129706
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090164
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076906
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072099
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067416
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061480
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050743
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047396
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040147
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012637
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004425
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 995004
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991261
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987539
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922703
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911977
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906539
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
- Plasma Mass Rebuild - Rebuild for new Plasma
- New version 15.07.90
- New version 15.07.80
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800675
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787773
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 747864
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734627
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 683172
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667561
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663073
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656751
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653936
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652047
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636810
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625577
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615658
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609470
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606911
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603418
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600751
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590538
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589255
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555069
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551341
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540389
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490816
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476899
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465239
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458987
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455372
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448013
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package okteta

